# POST /v1/chat/completions

**Method**: `POST`
**Endpoint**: `/v1/chat/completions`

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
model
string
Required
messages
array
[object]
Required
role
string
Optional
content
array
[object]
Optional
Example
{
"model"
:
"doubao-seedream-4-0-250828"
,
"messages"
:
[
{
"role"
:
"user"
,
"content"
:
[
{
"type"
:
"text"
,
"text"
:
  // provider-specific example normalized for English documentation
}
,
{
"type"
:
"image_url"
,
"image_url"
:
{
"url"
:
"https://v3.fal.media/files/penguin/XoW0qavfF-ahg-jX4BMyL_image.webp"
}
}
]
,
}
]
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/v1/chat/completions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "doubao-seedream-4-0-250828",
    "messages": [
        {
            "role": "user",
            "content": [
                {
                    "type": "text",
  // provider-specific example normalized for English documentation
                },
                {
                    "type": "image_url",
                    "image_url": {
                        "url": "https://v3.fal.media/files/penguin/XoW0qavfF-ahg-jX4BMyL_image.webp"
                    }
                }
            ],
        }
    ]
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{}
```
